Bug 1256338 - (kf5-akonadi) Review Request: kf5-akonadi - The Akonadi client libraries
Review Request: kf5-akonadi - The Akonadi client libraries
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Vrátil
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2015-08-24 07:45 EDT by Daniel Vrátil
Modified: 2015-12-04 09:46 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-04 09:46:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jgrulich: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Daniel Vrátil 2015-08-24 07:45:10 EDT
Spec URL: https://dvratil.fedorapeople.org/kdepim/review/kf5-akonadi.spec
SRPM URL: https://dvratil.fedorapeople.org/kdepim/review/kf5-akonadi-15.08.0-1.fc22.src.rpm
Description: <description here>
Fedora Account System Username: dvratil


This provides kf5-akonadi (the core client libraries) and kf5-akonadi-contact, kf5-akonadi-mime, kf5-akonadi-notes and kf5-socialtuils, which provide domain-specific libraries. There's also kf5-akonadi-calendar, but that's shipped by upstream as a separate tarball, hence separate specfile.
Comment 1 Jan Grulich 2015-08-31 17:04:57 EDT
1) Some files seem to be under BSD, LGPLv2+ and also under MIT/X11 license (according to licensecheck)
2) Missing gtk-update-icon-cache call in %postun and %posttrans for kf5-akonadi-contact 
3) Shouldn't you use %config for /etc/xdg/kdepimlibs-kioslave.categories?
Comment 2 Daniel Vrátil 2015-09-01 07:36:30 EDT
Spec URL: https://dvratil.fedorapeople.org/kdepim/review/kf5-akonadi.spec
SRPM URL: https://dvratil.fedorapeople.org/kdepim/review/kf5-akonadi-15.08.0-2.fc22.src.rpm


* Tue Sep 01 2015 Daniel Vrátil <dvratil@redhat.com> - 15.08.0-2
- fix %%license
- add gtk-update-icon-cache to contact scriptlets
- add %%config for kdepimlibs-kioslave.categories
Comment 3 Jan Grulich 2015-09-01 07:56:01 EDT
Perfect, looks good now, package approved.
Comment 4 Daniel Vrátil 2015-09-01 10:55:51 EDT
New Package SCM Request
=======================
Package Name: kf5-akonadi
Short Description: The Akonadi Client Libraries
Upstream URL: https://projects.kde.org/projects/kde/kdepimlibs
Owners: dvratil group::kde-sig
Branches: f22 f23
InitialCC:
Comment 5 Gwyn Ciesla 2015-09-01 15:19:19 EDT
Please put group::kde-sig in InitialCC.

Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.